## org.eclipse.emf.mint
Class MintCore

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.emf.mint.MintCore

All Implemented Interfaces:
  BundleActivator

    public final class MintCore

extends Plugin

Mint Core plugin class.

Restriction
  This class is not intended to be instantiated by clients.

Field Summary
`static String` `PLUGIN_ID` Mint Core plugin identifier (value "org.eclipse.emf.mint" ).

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`MintCore()` Creates the Mint core plugin.

Method Summary
`static MintCore` `getInstance()` Returns the singleton instance of this plugin.
`IMemberAnnotationManager` `getMemberAnnotationManager()` Returns the singleton instance of `IMemberAnnotationManager`.
`IStatus` `logError(String message, Throwable t)` Creates a `status` object with the given message and exception and logs it to the platform log.
`void` `stop(BundleContext context)` Stops the plugin instance.

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, initializeDefaultPluginPreferences, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, start, startup, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PLUGIN_ID

    public static final String PLUGIN_ID

  Mint Core plugin identifier (value "org.eclipse.emf.mint" ).

  See Also:
    Constant Field Values

Constructor Detail

### MintCore

    public MintCore()

  Creates the Mint core plugin.

  Restriction
    This constructor is not intended to be referenced by clients.

Method Detail

### getInstance

    public static MintCore getInstance()

  Returns the singleton instance of this plugin.

  Returns:
    instance of this plugin

### stop

    public void stop(BundleContext context)
              throws Exception

  Stops the plugin instance.

  Specified by:
    `stop` in interface `BundleActivator`
  Overrides:
    `stop` in class `Plugin`
  Throws:
    `Exception`
  Restriction
    This method is not intended to be referenced by clients.

### logError

    public IStatus logError(String message,
                            Throwable t)

  Creates a `status` object with the given message and exception and logs it to the platform log.

  Parameters:
    `message` - optional message (a default message is substituted if `null`)
    `t` - optional exception to log
  Returns:
    newly created status object
  Restriction
    This method is not intended to be referenced by clients.

### getMemberAnnotationManager

    public IMemberAnnotationManager getMemberAnnotationManager()

  Returns the singleton instance of `IMemberAnnotationManager`.

  Returns:
    member annotation manager

Copyright 2008, 2009 Ecliptical Software Inc. and others. All Rights Reserved.